Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-bbn-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-bbn-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-bbn-plastic-101.rspec	(revision 1201)
@@ -1,50 +1,56 @@
-<!-- 
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
 This rspec will reserve the OpenFlow resources at BBN used by the
 plastic-101 slice.
 
-AM: https://expedient.gpolab.bbn.com:1443/openflow/gapi/
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="plastic-101 OpenFlow resources at BBN."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-101@bbn" description="Plastic Slices slice 101 at BBN"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101."/>
+    <openflow:group name="habanero-1750-i2-plnodes">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+	<openflow:port num="49"/>
+	<openflow:port num="50"/>
+	<openflow:port num="51"/>
+	<openflow:port num="71"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+    <openflow:group name="poblano-1750-i2-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="9"/>
+        <openflow:port num="20"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:3"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:use-group name="habanero-1750-i2-plnodes" />
+      <openflow:use-group name="poblano-1750-i2-3715" />
 
-  </flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.101.0/24"/>
+        <openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:3"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-clemson-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-clemson-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-clemson-plastic-101.rspec	(revision 1201)
@@ -1,38 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Clemson used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Clemson
+used by the plastic-101 slice.
 
-AM: https://expedient.clemson.edu:1443/openflow/gapi/
+AM: https://foam.clemson.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Clemson."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@clemson" description="Plastic Slices slice 101 at Clemson"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="clemson-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam+datapath+06:d6:00:26:f1:3f:e4:80"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam+authority+am">
+	<openflow:port num="36"/>
+	<openflow:port num="39"/>
+	<openflow:port num="43"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:36"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:39"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:43"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:use-group name="clemson-1750-nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:36"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:39"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:43"/>
+    </openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
+  </openflow:sliver>
 
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-gatech-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-gatech-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-gatech-plastic-101.rspec	(revision 1201)
@@ -1,38 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at GT used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at GT
+used by the plastic-101 slice.
 
-AM: https://expedient.oflow.cip.gatech.edu:1443/openflow/gapi/ 
+AM: https://foam.oflow.cip.gatech.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at GT."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@gt" description="Plastic Slices slice 101 at GT"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="gatech-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.oflow.cip.gatech.edu+datapath+06:d6:00:19:bb:b3:0d:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.oflow.cip.gatech.edu+authority+am">
+	<openflow:port num="3"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:3"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:9"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:10"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:use-group name="gatech-1750-nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:3"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:9"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:10"/>
+  </openflow:sliver>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-indiana-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-indiana-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-indiana-plastic-101.rspec	(revision 1201)
@@ -1,39 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Indiana used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Indiana
+used by the plastic-101 slice.
 
-AM: https://optin.testlab.grnoc.iu.edu:1443/openflow/gapi/
+AM: https://foam.noc.iu.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Indiana."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@indiana" description="Plastic Slices slice 101 at Indiana"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="indiana-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:16:b9:cf:fc:40"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">
+	<openflow:port num="3"/>
+	<openflow:port num="8"/>
+	<openflow:port num="9"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
+    <openflow:match>
 
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:3"/>
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:8"/>
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:9"/>
+      <openflow:use-group name="indiana-1750-nlr-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:3"/>
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:8"/>
-    <port urn="urn:publicid:IDN+indiana:expedient:openflow+switch:06:d6:00:16:b9:cf:fc:40+port:9"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
-
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-internet2-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-internet2-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-internet2-plastic-101.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Internet2 used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Internet2
+used by the plastic-101 slice.
 
-AM: https://ofc-vm1.net.internet2.edu:1443/openflow/gapi/
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Internet2."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@internet2" description="Plastic Slices slice 101 at Internet2"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="i2-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:18:1b" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:18:58" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:19:96" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:1a:57" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:1b:93" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+    </openflow:group>
 
-  <flowspace>
+    <openflow:match>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1b:93"/>
+      <openflow:use-group name="i2-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1b:93"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-nlr-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-nlr-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-nlr-plastic-101.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at NLR used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at NLR
+used by the plastic-101 slice.
 
-AM: https://expedient.nlr.net:1443/openflow/gapi/
+AM: https://foam.nlr.net:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at NLR."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@nlr" description="Plastic Slices slice 101 at NLR"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+    </openflow:group>
 
-  <flowspace>
- 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:26:f1:40:a8:00"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:use-group name="nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:26:f1:40:a8:00"/>
+  </openflow:sliver>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-rutgers-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-rutgers-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-rutgers-plastic-101.rspec	(revision 1201)
@@ -1,38 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Rutgers used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the plastic-101 slice.
 
-AM: https://nox.orbit-lab.org:1443/openflow/gapi/
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Rutgers."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@rutgers" description="Plastic Slices slice 101 at Rutgers"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="rutgers-1750-i2-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="3"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
+    <openflow:match>
 
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:1"/>
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:3"/>
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:4"/>
+      <openflow:use-group name="rutgers-1750-i2-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.101.0/24"/>
+	<openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:1"/>
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:3"/>
-    <port urn="urn:publicid:IDN+rutgers:expedient:openflow+switch:00:00:00:10:10:17:50:01+port:4"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-stanford-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-stanford-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-stanford-plastic-101.rspec	(revision 1201)
@@ -1,60 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Stanford used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Stanford
+used by the plastic-101 slice.
 
-AM: https://endpoint.stanford.edu:1443/openflow/gapi/
+AM: https://openflow4.stanford.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Stanford."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-101@stanford" description="Plastic Slices slice 101 at Stanford"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="stanford-plnodes-901">
 
-  <flowspace>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+03:85:00:23:47:4e:2e:c0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- hpsw4-901 -->
+        <openflow:port num="4"/>  <!-- of-planet1 -->
+        <openflow:port num="8"/>  <!-- to necsw2 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:11"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:78:67:65"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw-901 -->
+        <openflow:port num="1"/>  <!-- to necsw2 -->
+        <openflow:port num="2"/>  <!-- to necsw7 -->
+        <openflow:port num="4"/>  <!-- of-planet2 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:2"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:6"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:b8:f3:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw7-901 -->
+        <openflow:port num="3"/>   <!-- to necsw -->
+        <openflow:port num="27"/>  <!-- of-planet3 -->
+        <openflow:port num="28"/>  <!-- of-planet4 -->
+      </openflow:datapath>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:3"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:27"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:28"/>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:5"/>
+    <openflow:group name="stanford-901-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+datapath+00:00:00:12:e2:78:31:f5"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:openflow4.stanford.edu+authority+am">  <!-- necsw2-901 -->
+        <openflow:port num="1"/>   <!-- to necsw -->
+        <openflow:port num="2"/>   <!-- to hpsw4 -->
+        <openflow:port num="11"/>  <!-- to NLR 3715 -->
+      </openflow:datapath>
+    </openflow:group>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+    <openflow:match>
 
-  </flowspace>
+      <openflow:use-group name="stanford-plnodes-901" />
+      <openflow:use-group name="stanford-901-nlr-3715" />
 
-  <flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.101.0/24"/>
+        <openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:31:f5+port:11"/>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:1"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:2"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:78:67:65+port:6"/>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:3"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:27"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:00:00:00:12:e2:b8:f3:d0+port:28"/>
-
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:4"/>
-    <port urn="urn:publicid:IDN+stanford:expedient:openflow+switch:03:85:00:23:47:4e:2e:c0+port:5"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-washington-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-washington-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-washington-plastic-101.rspec	(revision 1201)
@@ -1,37 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Washington used by the
-plastic-101 slice.
+This rspec will reserve the OpenFlow resources at Washington
+used by the plastic-101 slice.
 
-AM: https://of.cs.washington.edu:1443/openflow/gapi/
+AM: https://of.cs.washington.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Washington."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-101@washington" description="Plastic Slices slice 101 at Washington"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="washington-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:of.cs.washington.edu+datapath+06:d6:00:23:47:c8:8c:40"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:of.cs.washington.edu+authority+am">
+        <openflow:port num="22"/>
+        <openflow:port num="23"/>
+        <openflow:port num="24"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:22"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:23"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:24"/> 
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:use-group name="washington-1750-nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.101.0/24"/>
+        <openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
-     <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:22"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:23"/> 
-    <port urn="urn:publicid:IDN+washington:expedient:openflow+switch:06:d6:00:23:47:c8:8c:40+port:24"/> 
+    </openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
+  </openflow:sliver>
 
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-wisconsin-plastic-101.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-wisconsin-plastic-101.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-101/openflow-wisconsin-plastic-101.rspec	(revision 1201)
@@ -1,44 +1,55 @@
-<!--
-This rspec will reserve the OpenFlow resources at Wisconsin used by the
-plastic-101 slice.
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Wisconsin
+used by the plastic-101 slice.
 
-AM: https://wings-openflow-1.wail.wisc.edu:1443/openflow/gapi/
+AM: https://foam.wail.wisc.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 101 at Wisconsin."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-101@wisconsin" description="Plastic Slices slice 101 at Wisconsin"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33101" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33101" name="naxos-33101" description="The FlowVisor on naxos, for plastic-101." expiry="1313380800"/>
+    <openflow:group name="wisconsin-plnodes-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:23:47:cc:44:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="1"/>
+        <openflow:port num="20"/>
+        <openflow:port num="22"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
+    <openflow:group name="wisconsin-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:21:f7:be:8d:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="3"/>
+        <openflow:port num="51"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
+    <openflow:match>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:51"/>
+      <openflow:use-group name="wisconsin-plnodes-1750" />
+      <openflow:use-group name="wisconsin-1750-nlr-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.101.0" to="10.42.101.255"/>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.101.0/24"/>
+        <openflow:nw_src value="10.42.101.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
-
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:51"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.101.0" to="10.42.101.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
